Bug 135444 - freebsd-update(8) failing should be more verbose
Summary: freebsd-update(8) failing should be more verbose
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Colin Percival
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-10 14:30 UTC by Dan Naumov
Modified: 2019-01-21 19:50 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Naumov 2009-06-10 14:30:03 UTC
Now, I *know* you are only supposed to use freebsd-update to update installations done from official binaries and that it's not supposed to work on updating the -STABLE or -CURRENT branches. However, I believe that freebsd-update should be more verbose when failing to update such a system, explaining the reasons why. Right now, running freebsd-update fetch on a -STABLE system results in the following:

agathon# freebsd-update fetch
Looking up update.FreeBSD.org mirrors... 2 mirrors found.
Fetching metadata signature for 7.2-STABLE from update4.FreeBSD.org... failed.
Fetching metadata signature for 7.2-STABLE from update5.FreeBSD.org... failed.
No mirrors remaining, giving up.

There is absolutely no indication for the reasons of the failure.

How-To-Repeat: Install any version of FreeBSD that includes freebsd-update, do a source upgrade to -STABLE, install, reboot and run freebsd-update.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-06-10 21:49:18 UTC
Responsible Changed
From-To: freebsd-bugs->cperciva

Over to maintainer.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:34 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 3 Gerald Aryeetey 2019-01-21 18:29:51 UTC
Should be fixed as of base r343122
Comment 4 Ed Maste freebsd_committer 2019-01-21 19:50:22 UTC
Fixed by base r343122, MFC tracked in PR 234771